#include "../listrc.h"

ICON "../icon.bmp"
SMALLICON "../icon3.bmp"

MENU ID idMainMenu
BEGIN
    PULLDOWN "Muligheder"
    BEGIN
	MENUITEM "Vælg database " idMainMenuSelectDB "s"
	MENUITEM "Ny database" idMainMenuNewDB "n"
	MENUITEM "Slet database  " idMainMenuDelDB "d"
	MENUITEM "Beam database  " idMainMenuBeamDB "b"
	MENUITEM SEPARATOR 
        MENUITEM "Tilpas.." idMainMenuCustom "m"
        MENUITEM "Om List.." idMainMenuAbout "a"
    END
END

FORM idMainForm 0 0 160 160
USABLE
NOFRAME
MENUID idMainMenu
BEGIN
    TITLE "List"
    POPUPTRIGGER "" idMainCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idMainCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idMainTable 0 18 160 124 ROWS mainTableRows COLUMNS 1 COLUMNWIDTHS 160
    BUTTON "Ny" idMainNewButton 2 146 AUTO AUTO
    BUTTON "Søg" idMainFindButton PREVRIGHT+6 146 AUTO AUTO
    FIELD ID idMainLookupText AT(PREVRIGHT+6 PREVTOP 110-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 10
    PUSHBUTTON "" ID idMainSelectButton AT(122 148 9 9) FONT 0 NONUSABLE
    REPEATBUTTON "\001" idMainUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idMainDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idViewForm 0 0 160 160
USABLE
NOFRAME
BEGIN
    TITLE "Se"
    BUTTON "Afslut" idViewDoneButton 2 146 AUTO AUTO
    BUTTON "Rediger" idViewEditButton PREVRIGHT+6 146 AUTO AUTO
    REPEATBUTTON "\001" idViewUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idViewDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

MENU ID idEditMenu
BEGIN
    PULLDOWN "Rediger"
    BEGIN
        MENUITEM "Fortryd" idEditMenuUndo "u"
        MENUITEM "Klip" idEditMenuCut "x"
        MENUITEM "Kopier" idEditMenuCopy "c"
        MENUITEM "Indsæt" idEditMenuPaste "p"
        MENUITEM "Vælg alt  " idEditMenuSelectAll "s"
	MENUITEM SEPARATOR 
        MENUITEM "Tastatur" idEditMenuKeyboard "k"
    END
END


FORM idEditForm 0 0 160 160
USABLE
NOFRAME
MENUID idEditMenu
BEGIN
    TITLE "Rediger"
    POPUPTRIGGER "" idEditCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idEditCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idEditTable 0 18 160 124 ROWS editTableRows COLUMNS 2 COLUMNWIDTHS 40 120
    BUTTON "Afslut" idEditDoneButton 2 146 AUTO AUTO
    BUTTON "Slet" idEditDeleteButton PREVRIGHT+6 146 AUTO AUTO
    BUTTON "Note" idEditNoteButton PREVRIGHT+6 146 AUTO AUTO NONUSABLE
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idNoteEditForm 0 0 160 160
USABLE
MODAL
MENUID idEditMenu
BEGIN
    TITLE "Note"
    BUTTON "Afslut" idEditDoneButton 2 146 AUTO AUTO
	FIELD ID idNoteEditField AT(0 18 160 124) LEFTALIGN UNDERLINED MULTIPLELINES MAXCHARS 4095
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idCustomForm 2 2 156 156
USABLE
MODAL
HELPID idCustomHelp
BEGIN
    TITLE "Tilpas"

	LABEL "List Navn:" ID idCustomLabel1 AT(2 18) FONT 0
	FIELD ID idCustomFieldListName AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 20
	LABEL "Felt1 Navn:" ID idCustomLabel2 AT(2 PREVBOTTOM+4) FONT 0
	FIELD ID idCustomFieldField1 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Felt2 Navn:" ID idCustomLabel3 AT(2 PREVBOTTOM+2) FONT 0
	FIELD ID idCustomFieldField2 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Vis i rækkefølge" ID idCustomLabel4 AT(16 PREVBOTTOM+6) FONT 0
	POPUPTRIGGER "Felt1,Felt2" ID idCustomPopupTrigger AT(PREVRIGHT+2 PREVTOP AUTO AUTO) LEFTANCHOR
	LIST "Felt1,Felt2" "Felt2,Felt1" ID idCustomPopupList AT(PREVLEFT+8 PREVTOP AUTO AUTO) NONUSABLE VISIBLEITEMS 2
	POPUPLIST idCustomPopupTrigger idCustomPopupList
	CHECKBOX "Skrivebeskyttet" ID idCustomCheckWritePro AT(16 PREVBOTTOM-4 AUTO AUTO)
	CHECKBOX "Backup ved næste Hot-Sync" ID idCustomCheckBackup AT(16 PREVBOTTOM AUTO AUTO)
	CHECKBOX "Automatisk Backup" ID idCustomCheckAutomate AT(16 PREVBOTTOM+4 AUTO AUTO)
	CHECKBOX "Vælg database ved start" ID idCustomCheckSelect AT(16 PREVBOTTOM AUTO AUTO)
	BUTTON "Afslut" idCustomDoneButton 4 140 AUTO AUTO
	GRAFFITISTATEINDICATOR AT(130 146)
END

STRING idCustomHelp "The List Name, Field1 Name and Field2 Name text fields allow you to "\
	"customize the current List database.\n\n"\
	"Display order allows you to select the style of display for the current database.\n\n"\
	"Write-Protect disables editing of the current database.\n\n"\
	"Backup next Hot-Sync shows the state of the backup-bit for the current database.\n\n"\
	"The last two check boxes are global settings for all List databases.\n\n"\
	"If Automate Backup is set List will automatically flip the backup bit if any "\
	"editing has been performed since the last Hot-Sync.  After a Hot-Sync the "\
	"backup bits will be automatically cleared.\n\n"\
	"Select database on launch controls the start-up behaviour of "\
	"List.  If it is set and there is more than one database the select dialog will appear on "\
	"start-up, otherwise the last active database will be used."


FORM idSelectFormV10 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Vælg List Database"
    TABLE ID idSelectTable 2 18 156 136 ROWS selectTableRows COLUMNS 1 COLUMNWIDTHS 152
END

FORM idSelectFormV20 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Vælg List Database"
	LIST "" ID idSelectList 7 18 142 136 VISIBLEITEMS 12
END


FORM idFindForm 2 98 156 60
USABLE
MODAL
MENUID idEditMenu
BEGIN
	TITLE "Lokal Søgning"
	LABEL "Søg:" ID idFindLabel AT(6 21) FONT 1
	FIELD ID idFindText AT(PREVRIGHT+2 PREVTOP 146-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 30
	BUTTON "   OK   " idFindOkButton 6 44 AUTO AUTO
	BUTTON "Afslut" idFindCancelButton PREVRIGHT+6 PREVTOP AUTO AUTO
	GRAFFITISTATEINDICATOR AT(134 48)
END

FORM idFindResultsForm 2 2 156 156
USABLE
MODAL
BEGIN
	TITLE "Lokal Søgning"
	TABLE ID idFindTable 2 26 154 110 ROWS findTableRows COLUMNS 1 COLUMNWIDTHS 152	
	BUTTON "Afslut" idFindResCancelButton 6 140 AUTO AUTO
	BUTTON "Søg videre" idFindResMoreButton PREVRIGHT+6 PREVTOP AUTO AUTO NONUSABLE
END

ALERT idAbout
INFORMATION
BEGIN
    TITLE "Om List 0.99"
    MESSAGE "List er Freeware"\
	"\nJuly 3, 2000"\
	"\n\nAndrew Low"\
	"\nroo@magma.ca"\
	"\nwww.magma.ca/~roo"\
	"\n\nDanish Translation"\
	"\nHenrik Clausen"

    BUTTONS "OK"
END

VERSION ID 1 "0.99"

ALERT idDuplicateDB
ERROR
BEGIN
    TITLE "Database navne konflikt"
    MESSAGE "Navnet på databasen benyttes allerede 'Ny List'. "\
	    "Benyt Tilpas menuen til at omdøbe databasen før der oprettes en ny List database."
    BUTTONS "OK"
END

ALERT idVerifyDeleteRecord
CONFIRMATION
BEGIN
    TITLE "Slet Posten"
    MESSAGE "Slet den aktuelle post?"
    BUTTONS "OK" "Afslut"
END

ALERT idVerifyDeleteDB
CONFIRMATION
BEGIN
    TITLE "Slet Database"
    MESSAGE "Slet den aktuelle List database?"
    BUTTONS "OK" "Afslut"
END

ALERT idVerifyReplaceDB
CONFIRMATION
BEGIN
    TITLE "Erstat Database"
    MESSAGE "Overskriv den eksisterende List database?"
    BUTTONS "OK" "Afslut"
END

ALERT idMaxNumberOfDBs
ERROR
BEGIN
    TITLE "For Mange Databaser"
    MESSAGE "List kan maximalt håndtere 12 databaser."
    BUTTONS "OK"
END

ALERT idNameConflict
ERROR
BEGIN
    TITLE "Database Navne Konflikt"
    MESSAGE "Du kan ikke have to List databaser med samme navn, skift navnet på List databasen."
    BUTTONS "OK"
END

ALERT idNameEmptyError
ERROR
BEGIN
    TITLE "Tomt Database Navn"
    MESSAGE "Du kan ikke have en database uden navn."
    BUTTONS "OK"
END

ALERT idWriteProtect
ERROR
BEGIN
    TITLE "Databasen er Skrive-Beskyttet"
    MESSAGE "Databasen er markeret som skrive-beskyttet. Du kan ændre dette i Tilpas menuen."
    BUTTONS "OK"
END

ALERT idNoMemUpdate
ERROR
BEGIN
    TITLE "For Lidt Hukommelse"
    MESSAGE "Kan ikke opdatere posten -- Ændringerne ignoreres."
    BUTTONS "OK"
END

ALERT idBeamNotSupported
WARNING
BEGIN
    TITLE "Beam"
    MESSAGE "Denne enhed er ikke udstyret med den nødvendige infrarød hardware."
    BUTTONS "OK"
END

ALERT idCopyProtected
INFORMATION
BEGIN
    TITLE "Kan Ikke Beame"
    MESSAGE "Kopi-Beskyttede databaser kan ikke beames."
    BUTTONS "OK"
END

ALERT bad
ERROR
BEGIN
	TITLE "Ukendt Fejl"
	MESSAGE "Der er opstået en uventet situation"
	BUTTONS "Nå Pyt"
END

// Max size of idStringView + idStringOf + 10 < 32
STRING idStringView			"View "
STRING idStringOf			" of "

// Max size of idStringUnfiled < 16
STRING idStringUnfiled		"Unfiled"

// Max size of idStringNewDatabase < 31
STRING idStringNewDatabase	"New List"

// Max size of each of the following < 15 per string.
STRING idStringField1		"Field1"
STRING idStringField2		"Field2"
STRING idStringNote			"Note"